Bug 98735 - missing characters in mcedit (maybe all ascii>127)
missing characters in mcedit (maybe all ascii>127)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mc (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Jay Turner
triage|leonardjo|closed|rawhide
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-08 03:51 EDT by Andrea Diodato
Modified: 2015-01-07 19:05 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.6.1-0.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-26 12:31:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrea Diodato 2003-07-08 03:51:46 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux) 
 
Description of problem: 
I have LANG=C, SYSFONT=lat0-sun16 and KEYBOARD=it 
(I try latarcirheb-sun16 too, but is the same) 
The editor produce a space when I hit a "national" key like "�quot; etc.. 
(maybe all ascii>127?) 
And if I hit the backspace, the editor delete a wrong character on screen 
(misalignement between screen and the "editor-logic"?). 
When I load a file whit some of this characters, simply miss this chars (both 
screen and "editor-logic"). 
 
 
Version-Release number of selected component (if applicable): 
4.6.0-4 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1.LANG=C and SYSFONT="lat0-sun16" or "latarcirheb-sun16", KEYBOARD=it 
2.open the editor 
3.hit a "national" key on keyboard (maybe all ascii>127) 
4.Or load a file with some of this chars 
     
 
Actual Results:  Appear a space, but the editor don't work correctly. 
On a file, miss this chars. 
 
Expected Results:  Appear the character, like normal editors (the shell works) 
 
Additional info: Maybe the same with all national keyboards?
Comment 1 Leonard den Ottolander 2004-10-26 12:31:37 EDT
You should enable 8bit input for this to work. This is enabled in
current RawHide, which also holds some more UTF-8 fixes.

Closing RAWHIDE. Please reopen if you are still having issues.

Note You need to log in before you can comment on or make changes to this bug.